Skip to main content
GET
List store product collections

Authorizations

x-api-key
string
header
default:sfk_your_api_key
required

Storefront API key (sfk_...)

Query Parameters

page
number
default:1

Page number for pagination (1-indexed)

Required range: x >= 1
Example:

1

take
number
default:50

Number of items to return per page. Maximum allowed value is 100.

Required range: 1 <= x <= 100
Example:

50

q
string

Search query to filter collections by title or description

Example:

"wellness"

isVisible
boolean

Filter collections by active status

Example:

true

orderBy
enum<string>

Field to order results by

Available options:
title,
createdAt,
updatedAt
Example:

"title"

order
enum<string>
default:ASC

Sort direction

Available options:
ASC,
DESC

Response

200 - application/json

List of product collections for the current store

data
object[]
required
meta
object
required
Last modified on July 26, 2026